% E5 Analogue Mod. fig1p1.m
% Display various modulated waves.

if exist('printon') ~= 1, printon = 0; end

imax = 400;
period = 400;
cperiod = 20;
xa = trreal(period, 0);
wc = 2 * pi / cperiod;
cwave = exp(j * wc * [0:(imax-1)]);
sam=real(amgen(xa, 0.9) .* cwave);
spm=real(pmgen(xa, 2*pi) .* cwave);
sfm=real(fmgen(xa, 2*pi) .* cwave);

setfig(1)
plot([real(xa); real(cwave)-3; sam-7; spm-11; sfm-15]','-','Linewidth',2)
axis([1 imax -16.5 1.5])
axis('normal')
% axis('off')
set(gca,'position',[0.08 0.1 0.84 0.84]);
set(gca,'Xtick',[],'Ytick',[])
hold on

plot([1 imax]',[0 0]','--')
hold off

set(gcf,'DefaultTextVert','baseline','DefaultTextFontSize',16);
sttext = imax * 0.5;
vtext = 0.2;
text(sttext, vtext, 'Information signal')
text(sttext, vtext-2, 'Carrier wave')
text(sttext, vtext-6, 'AM wave')
text(sttext, vtext-10, 'PM wave')
text(sttext, vtext-14, 'FM wave')
xlabel('Fig 1.1: Main forms of analogue modulation')

if printon,
  print -deps \1ngk\tex\e5mod\e5f1p1.eps
end
