% fig4p4.m
% Plot Re and Im components of a noise phasor and then add them together.

global dtime;
 dtime = 0.1;

if exist('printon') ~= 1, printon = 0; end

imax = 80;

randn('seed',3);
x = randn(1,imax) + j * randn(1,imax);
k = [0.8; 0.4];
y = [0; 0] * (1 + j);
xf = (1 + j) * zeros(1,imax);
for i = 1:imax,
 y = [y  [x(i); y(1)]] * k;
 xf(i) = y(2);
end
s = exp(j * pi / 3) + 0.3 * xf;

setfig(1);
plot3d1 (real(xf), 2, 'Real component of noise phasor.')
if ~printon, pause, end
plot3d1 (real(xf), 3, 'Fig 4.4a: Real component of noise phasor.')
if printon,
  print -deps \1ngk\tex\e5mod\e5f4p4a.eps
else
  pause
end

setfig(2);
plot3d1 (j * imag(xf), 2, 'Imaginary component of noise phasor.')
if ~printon, pause, end
plot3d1 (j * imag(xf), 3, 'Fig 4.4b: Imaginary component of noise phasor.')
if printon,
  print -deps \1ngk\tex\e5mod\e5f4p4b.eps
else
  pause
end

setfig(3);
plot3d1 (xf, 2, 'Fig 4.4c: Complex noise phasor in 2-D.')
if printon,
  print -deps \1ngk\tex\e5mod\e5f4p4c.eps
else
  pause
end

setfig(4)
plot3d1 (xf, 3, 'Fig 4.4d: Complex noise phasor in 3-D.')
if printon,
  print -deps \1ngk\tex\e5mod\e5f4p4d.eps
else
  pause
end

setfig(5);
plot3d1 (s, 2, 'Constant signal phasor + (0.3 * Noise phasor).')
if ~printon, pause, end
setfig(6)
plot3d1 (s, 3, 'Fig 4.4e: Constant signal phasor + (0.3 * Noise phasor).')
if printon,
  print -deps \1ngk\tex\e5mod\e5f4p4e.eps
else
  pause
end

% Now use AM phasor instead of constant.
x = trreal(imax, 0);
pam = amgen(x, 0.9);
setfig(7)
plot3d1 (pam, 3, 'AM signal phasor.')
if ~printon, pause, end

pam = pam + 0.3*xf;
setfig(8)
plot3d1 (pam, 2, 'AM signal phasor + (0.3 * Noise phasor).')
if ~printon, pause, end
plot3d1 (pam, 3, 'Fig 4.4f: AM signal phasor + (0.3 * Noise phasor).')
if printon,
  print -deps \1ngk\tex\e5mod\e5f4p4f.eps
end

return


% Now use BPSK signal instead of constant phasor.
period = 10;
hi = ones(1,period);
lo = -hi;
xa = [hi lo hi hi lo lo lo hi];
pbpsk = dsgen(xa, pi/3) + 0.3 * xf;
plot3d1 (pbpsk, 2, 'BPSK signal phasor + (0.3 * Noise phasor).')
pause
plot3d1 (pbpsk, 3, 'BPSK signal phasor + (0.3 * Noise phasor).')
