% fig7p1.m
% Display various digital modulated waves.

if exist('printon') ~= 1, printon = 0; end

imax = 400;
period = 50;
cperiod = 25;
hi = ones(1,period);
lo = -hi;
xa = [hi lo hi hi lo lo lo hi];
xb = [hi hi hi hi lo lo lo lo];
xc = [lo lo hi hi lo lo hi hi];
wc = 2 * pi / cperiod;
phi0 = 0;
cwave = -j * exp(j * wc * [0:(imax-1)]);
sask = 0.5 * real(amgen(xa, 1.0, phi0) .* cwave);
sbpsk = real(dsgen(xa, phi0) .* cwave);
sfsk = real(fmgen(xa, 1.5 * pi) .* cwave);
sqpsk = real(0.707 * (dsgen(xb, phi0) + dsgen(xc, phi0 + pi/2)) .* cwave);
s4ask = real(dsgen(xb.*(2+xc)/2, phi0) .* cwave);

setfig(1)
plot([0.5:(imax-0.5)],....
 [xa; real(cwave)-4; sask-8; sbpsk-12; sfsk-16; s4ask-20; sqpsk-24]','-b','Linewidth',1)
axis([0 imax -25.5 2])
axis('normal')
axis('off')
set(gca,'Xtick',[],'Ytick',[])
set(gca,'position',[0.05 0.1 0.9 0.84])
hold on
for i=0:(2*period):imax, plot([i i],[1.5 -25.5],':r'), end
hold off
sttext = imax * 0.52;
set(gcf,'DefaultTextVert','baseline','DefaultTextFontSize',14);
xlabel('Fig 2.1: Basic digital modulation schemes')
vtext = 1.2;
text(sttext, vtext, 'Modulating data')
text(sttext, vtext-4, 'Carrier wave')
text(sttext, vtext-8, 'ASK wave')
text(sttext, vtext-12, 'BPSK wave')
text(sttext, vtext-16, 'BFSK wave')
text(sttext, vtext-20, '4ASK-SC wave')
text(sttext, vtext-24, 'QPSK wave')

if printon,
  print -deps \1ngk\tex\e5mod\i5f2p1.eps
end
