% I5 fig2p2.m
% Display various digital modulated phasors.

if exist('printon') ~= 1, printon = 0; end

global dtime
dtime = 0.15;

imax = 40;
period = 5;
hi = ones(1,period);
lo = -hi;
xa = [hi lo hi hi lo lo lo hi];
xb = [hi hi hi hi lo lo lo lo];
xc = [lo lo hi hi lo lo hi hi];
phi0 = 0;
pask = 0.5 * amgen(xa, 1.0, phi0 + pi/4);
setfig(2),clf,drawnow
plot3d(xa,pask,3,'Fig 2.2: Binary amplitude shift keying (ASK) phasor waveform')
if printon,
 print -deps \1ngk\tex\e5mod\i5f2p2.eps
end

pbpsk = dsgen(xa, phi0 + pi/4);
pause
setfig(3),clf,drawnow
plot3d(xa,pbpsk,3,'Fig 2.3: Binary phase shift keying (BPSK) phasor waveform')
if printon,
 print -deps \1ngk\tex\e5mod\i5f2p3.eps
end

pfsk = fmgen(xa, 0.75 * pi);
pause
setfig(4),clf,drawnow
plot3d(xa,pfsk,3,....
 'Fig 2.4: Binary frequency shift keying (BFSK) phasor waveform')
if printon,
 print -deps \1ngk\tex\e5mod\i5f2p4.eps
end

p4ask = dsgen(xb.*(2+xc)/3, phi0 + pi/4);
pause
setfig(5),clf,drawnow
plot3d(xa,p4ask,3,....
 'Fig 2.5: 4-level ASK - suppressed carrier (4ASK-SC) phasor waveform')
if printon,
 print -deps \1ngk\tex\e5mod\i5f2p5.eps
end

pqpsk = 0.707 * (dsgen(xb, phi0 - pi/4) + dsgen(xc, phi0 + pi/4));
pause
setfig(6),clf,drawnow
plot3d(xa,pqpsk,3,....
 'Fig 2.6: Quadrature phase shift keying (QPSK) phasor waveform')
if printon,
 print -deps \1ngk\tex\e5mod\i5f2p6.eps
end

