% fig4p1.m
% Display QPSK modulation.

if exist('printon') ~= 1, printon = 0; end

global dtime
dtime = 0.1;

imax = 16;
xb = [-1 1];

setfig(1),clf,drawnow
plot3de([xb 0 j*xb 0], 2, 'QPSK components')
xc = [xb-j  xb+j  0];
plot3de(xc, 2, 'Fig 4.1: QPSK phasor diagram.')
text(1,0,'1','vert','top','horiz','center');
text(-1,0,'-1','vert','top','horiz','center');
text(0,1,'j ','vert','middle','horiz','right');
text(0,-1,'-j ','vert','middle','horiz','right');
text(1,1,' 00','vert','bottom','horiz','left');
text(-1,1,'10 ','vert','bottom','horiz','right');
text(1,-1,' 01','vert','top','horiz','left');
text(-1,-1,'11 ','vert','top','horiz','right');

if printon,
  print -deps \1ngk\tex\e5mod\i5f4p1.eps
end

imax = 40;
period = 5;
hi = ones(1,period);
lo = -hi;
xa = [hi lo hi hi lo lo lo hi];
xb = [hi hi hi hi lo lo lo lo];
xc = [lo lo hi hi lo lo hi hi];
phi0 = 0.3*pi;

pqpsk = 0.707 * (dsgen(xb, phi0 - pi/4) + dsgen(xc, phi0 + pi/4));
pause
setfig(2),clf,drawnow
plot3d(xa,pqpsk,3,....
 'Quadrature phase shift keying (QPSK) phasor waveform')
