% fig4p2.m
% Plot power spectra of BPSK, QPSK, 16QAM, 64QAM.

if exist('printon') ~= 1, printon = 0; end

fmax = 4;
fzero = 1;
df = fzero * 0.1;
f = [(-fmax-0.5*df):df:(fmax+0.5*df)];
fpi = f * (pi / fzero);
logsp = 20 * log10(abs(sin(fpi) ./ fpi));

setfig(3)
plot (f, logsp,'-b')
axis('normal')
axis([-4 4 -80 10])
set(gca,'position',[0.15 0.17 0.7 0.8])
set(gca,'DefaultTextFontSize',14);
grid
text(-4.4,-36.5,'dB','horiz','right')
xlabel('Frequency relative to carrier / bit rate')
text(4.1,-30,'BPSK','horiz','left','color','b')
text(4.1,-45,'QPSK','horiz','left','color',[0 0.7 0])
text(4.1,-60,'16-QAM','horiz','left','color','k')
text(4.1,-75,'64-QAM','horiz','left','color','m')
text(0,-90,...
 'Fig 4.2: Power spectra of BPSK, QPSK, 16-QAM and 64-QAM for a given bit rate.',...
  'horiz','center','vert','top')
hold on
fzero = 0.5;
df = fzero * 0.1;
f = [(-fmax-0.5*df):df:(fmax+0.5*df)];
fpi = f * (pi / fzero);
logsp = 20 * log10(abs(sin(fpi) ./ fpi));
plot (f, logsp-10,'-','color',[0 0.7 0])
fzero = 1 / 4;
df = fzero * 0.2;
f = [(-fmax-0.5*df):df:(fmax+0.5*df)];
fpi = f * (pi / fzero);
logsp = 20 * log10(abs(sin(fpi) ./ fpi));
plot (f, logsp-20,'-k')
fzero = 1 / 6;
df = fzero * 0.2;
f = [(-fmax-0.5*df):df:(fmax+0.5*df)];
fpi = f * (pi / fzero);
logsp = 20 * log10(abs(sin(fpi) ./ fpi));
plot (f, logsp-30,'-m')
hold off

if printon,
  print -deps \1ngk\tex\e5mod\i5f4p2.eps
end
