% Fig i5f5p1.
% 16-PSK phasor diagram.

if exist('printon') ~= 1, printon = 0; end

imax = 16;
setfig(1),clf,drawnow
xa = [0:(imax-1)];
pmpsk = sqrt(2.5) * pmgen(xa, pi * (imax-1) / imax);
plot3dd([pmpsk 0],2,'Fig 5.1: 16-level PSK phasor diagram')
for i = 1:2:(imax-1),
  p = 1.8 * exp(j * i * pi / imax);
  line([-real(p) real(p)],[-imag(p) imag(p)],'color',[0 0.7 0], ...
    'linestyle',':','erase','none');
end

code = ['0001';'0011';'0010';'0110';'0111';'0101';'0100';'1100';...
        '1101';'1111';'1110';'1010';'1011';'1001';'1000';'0000'];

a = 1.6;
for i=1:2,
  p = a * exp(j * i * pi / 8);
  text(real(p),imag(p),code(i,:),'horiz','left','vert','bottom');
end
for i=3:5,
  p = a * exp(j * i * pi / 8);
  text(real(p),imag(p),code(i,:),'horiz','center','vert','bottom');
end
for i=6:8,
  p = a * exp(j * i * pi / 8);
  text(real(p),imag(p),code(i,:),'horiz','right','vert','bottom');
end
for i=9:10,
  p = a * exp(j * i * pi / 8);
  text(real(p),imag(p),code(i,:),'horiz','right','vert','top');
end
for i=11:13,
  p = a * exp(j * i * pi / 8);
  text(real(p),imag(p),code(i,:),'horiz','center','vert','top');
end
for i=14:16,
  p = a * exp(j * i * pi / 8);
  text(real(p),imag(p),code(i,:),'horiz','left','vert','top');
end

if printon,
  print -deps \1ngk\tex\e5mod\i5f5p1.eps
end
