% i5f5p2.m
% Display 16-QAM phasors.

if exist('printon') ~= 1, printon = 0; end

setfig(2),clf,drawnow
xb = [-1.5:1.5];
plot3de([xb 0 j*xb 0], 2, '16-QAM components')
for x=xb,
  text(x,0,int2str(x*2),'vert','top','horiz','center');
end
for y=xb([1 4]),
  text(0,y,[int2str(y*2) 'j '],'vert','middle','horiz','right');
end
text(0,-0.5,'-j ','vert','middle','horiz','right');
text(0,0.5,'j ','vert','middle','horiz','right');
pause

xc = [xb-1.5*j	xb-0.5*j  xb+0.5*j  xb+1.5*j  0];
plot3de(xc, 2, 'Fig 5.2: 16-QAM phasor diagram')
for i = -1:1,
  line([i -2;i 2],[-2 i; 2 i],'color',[0 0.7 0], ...
    'linestyle',':','erase','none');
end

for x=xb,
  text(x,0,int2str(x*2),'vert','top','horiz','center');
end
for y=xb([1 4]),
  text(0,y,[int2str(y*2) 'j '],'vert','middle','horiz','right');
end
text(0,-0.5,'-j ','vert','middle','horiz','right');
text(0,0.5,'j ','vert','middle','horiz','right');
code = ['11';'10';'00';'01'];
for i=1:4,
  text(xb(i),1.6,code(i,:),'vert','bottom','horiz','center');
  text(1.6,xb(i),code(i,:),'vert','middle','horiz','left');
end

if printon,
  print -deps \1ngk\tex\e5mod\i5f5p2.eps
end

