% fig10p1.m
% Display 64-QAM phasors.

if exist('printon') ~= 1, printon = 0; end
if exist('dtime') ~= 1, global dtime; dtime = 0.1; end

setfig(3),clf,drawnow
xb = [-1.75:0.5:1.75];
plot3de([xb 0 j*xb 0], 2, '64-QAM components')
for x=xb,
  text(x,0,int2str(x*4),'vert','top','horiz','center');
end
for y=xb([1:3 6:8]),
  text(0,y,[int2str(y*4) 'j '],'vert','middle','horiz','right');
end
text(0,-0.25,'-j ','vert','middle','horiz','right');
text(0,0.25,'j ','vert','middle','horiz','right');
pause

xc = [xb-1.75*j  xb-1.25*j  xb-0.75*j  xb-0.25*j  xb+0.25*j  xb+0.75*j...
 xb+1.25*j  xb+1.75*j  0];
plot3de(xc, 2, 'Fig 5.3: 64-QAM phasor diagram', dtime)
pause
for i = -1.5:0.5:1.5,
  line([i -2;i 2],[-2 i; 2 i],'color',[0 0.7 0], ...
    'linestyle',':','erase','none');
end

code = ['110';'111';'101';'100';'000';'001';'011';'010'];
for i=1:8,
  text(xb(i),1.8,code(i,:),'vert','bottom','horiz','center');
  text(1.8,xb(i),code(i,:),'vert','middle','horiz','left');
end

if printon,
  print -deps \1ngk\tex\e5mod\i5f5p3.eps
end
