% i5f8p2.m - now fig 6p2 for 3F4 notes.
% Display OFDM.

if exist('printon') ~= 1, printon = 0; end

tmax = 20;
fmax = 25;

% Plot axes.
setfig(13)
if printon, set(gcf,'position',[234  180   720   540]); end

plot ([1;1]*[0 0.5 1 1.1]*tmax,[0;fmax]*ones(1,4),':r',...
  [0 1.1;1 1.3]*tmax,[0;0]*[1 1],':r')
axis('normal')
axis([-0.5 1.3*tmax+0.5 -0.07*fmax fmax])
% axis('off')
set(gca,'Xtick',[],'Ytick',[]);
set(gca,'position',[0.15 0.15 0.8 0.8]);
hold on

% FDMA
plot([0;tmax]*ones(1,6),[1;1]*[7:10 17:18],'-b')

% Plot mean power spectrum.
cs = 0.5 * cos([1:2:49]'*pi/50);
sp = [0.5-cs; 0.5+cs]; 
plot(([sp sp sp sp]*0.2 + 1.1)*tmax, ...
   [1:length(sp)]'*ones(1,4)/25 + ones(size(sp))*[6.5 7.5 8.5 16.5],'-m')

% Plot dotted vertical lines and timing transitions.
plot(tmax/4*[1;1],[10.5;16.5],'--b');
plot(tmax*1.2*[1;1],[10.5;16.5],'--m');
plot(tmax*[1;1]*[0 0.5 1], [7;18]*ones(1,3),'-b');
plot(tmax*[1;1]*[0.1 0.6],[0;18]*[1 1],':r')

set(gcf,'DefaultTextHoriz','center','DefaultTextVert','middle',...
  'DefaultTextFontSize',14);
text(tmax/4,7.5,'c1','color','g');
text(tmax/4,8.5,'c2','color','m');
text(tmax/4,9.5,'c3','color','b');
text(tmax/4,17.5,'cN');
text(-0.5,fmax/2,'freq ','horiz','right')

text(tmax*0.3,-0.04*fmax,'time')
latext(0,-0.03*fmax,'0',' ',14);
latext(tmax*0.1,-0.03*fmax,'\DT',' ',14);
% text(tmax*0.4,-0.04*fmax,'T')
latext(tmax*0.47,-0.03*fmax,'T+\DT',' ',14);
latext(tmax*0.63,-0.03*fmax,'T+2\DT',' ',14);
% latext(tmax*0.9,-0.04*fmax,'2T+\DT',' ',14);
latext(tmax*0.97,-0.03*fmax,'2T+2\DT',' ',14);
text(1.2*tmax,-0.04*fmax,'power spectrum')

text(0.25*tmax,22.2,'IFFT Mod.')
text(0.25*tmax,20.8,'block')

text(0.05*tmax,4.2,'guard')
text(0.05*tmax,2.8,'band')

text(0.3*tmax,4.2,'FFT Demod.')
text(0.3*tmax,2.8,'block')

text(0.55*tmax,4.2,'guard')
text(0.55*tmax,2.8,'band')

text(1.2*tmax,22.2,'Bandwidth')
text(1.2*tmax,20.8,'= N/T')

text(1.2*tmax,6.2,'1/T')
text(1.2*tmax,4.8,'spacing')

xlabel('Fig 6.2: Orthogonal Frequency Division Multiplexing (OFDM) with N carriers.')
hold off

if printon, print -deps \1ngk\tex\3f4digmod\3f4f6p2.eps, end

return
