% 3F4 section 6 OFDM demo
% Display OFDM phasors, one at a time and then all together.

global dtime
dtime=0.05;

if exist('printon') ~= 1, printon = 0; end

period = 4;
hi = ones(1,period);

xd = [1 -1 1 1 -1 -1 -1 1 1 -1 1 1 -1 -1 -1 1];
xq = xd(1:2:16) + j*xd(2:2:16);
xa = kron(xd, hi);
imax = length(xa);

setfig(1)
plot3d(xa,xa*0,3,'OFDM data input waveform')
pause

for b = 1:8,
   mask = xq*0; mask(b) = 1;
   xa = kron(xd .* kron(mask,[1 1]), hi);
   pa = 16*ifft([0 xq.*mask],64);
   setfig(b) 
   plot3d(xa,pa,3,sprintf('Fig 6.%d: OFDM slot %d',b+2,b))
   pause
end

xa = kron(xd, hi);
pa = 12*ifft([0 xq],64);
setfig(9)
plot3d(xa,pa,3,'Fig 6.11: OFDM slots 1 to 8 combined')
pause
   
setfig(10)
plot3d(xa,pa,2,'OFDM slots 1 to 8 combined')

if printon
   figure(1);print -deps \1ngk\tex\3f4digmod\3f4f6p3.eps
   figure(2);print -deps \1ngk\tex\3f4digmod\3f4f6p4.eps
   figure(3);print -deps \1ngk\tex\3f4digmod\3f4f6p5.eps
   figure(4);print -deps \1ngk\tex\3f4digmod\3f4f6p6.eps
   figure(5);print -deps \1ngk\tex\3f4digmod\3f4f6p7.eps
   figure(6);print -deps \1ngk\tex\3f4digmod\3f4f6p8.eps
   figure(7);print -deps \1ngk\tex\3f4digmod\3f4f6p9.eps
   figure(8);print -deps \1ngk\tex\3f4digmod\3f4f6p10.eps
   figure(9);print -deps \1ngk\tex\3f4digmod\3f4f6p11.eps
end
pause

rand('seed',0);
xd = sign(rand(1,64)-0.5);
xq = xd(1:2:64) + j*xd(2:2:64);
pa = 12*ifft([xq(17:32) zeros(1,96) xq(1:16)]);
setfig(11)
plot3d(kron(xd,[1 1]),pa,2,'OFDM slots -16 to 15 combined')
pause
setfig(12)
plot3d(kron(xd,[1 1]),pa,3,'Fig 6.12: OFDM slots -16 to 15 combined')

if printon
   figure(12);print -deps \1ngk\tex\3f4digmod\3f4f6p12.eps
end
return