% fig4p4.m
% Plot Re and Im components of a noise phasor and then add them together.

clfigs
if exist('printon') ~= 1, printon = 0; end

global dtime
dtime = 0.05;

imax = 80;

randn('seed',3);
x = randn(1,imax) + j * randn(1,imax);
k = [0.8; 0.4];
y = [0; 0] * (1 + j);
xf = (1 + j) * zeros(1,imax);
for i = 1:imax,
 y = [y  [x(i); y(1)]] * k;
 xf(i) = y(2);
end
s = exp(j * pi / 3) + 0.3 * xf;


% Now use BPSK signal instead of constant phasor.
period = 10;
hi = ones(1,period);
lo = -hi;
xa = [hi lo hi hi lo lo lo hi];
pbpsk = dsgen(xa, pi/3);
pbpskn = pbpsk + 0.3 * xf;
setfig(1);
plot3d1 (pbpsk, 3, 'BPSK signal phasor.')
pause
setfig(2);
plot3d1 (pbpskn, 2, 'BPSK signal phasor + (0.3 * Noise phasor).')
pause
setfig(3);
plot3d1 (pbpskn, 3, 'BPSK signal phasor + (0.3 * Noise phasor).')

% Now derotate phase of signal to zero.
pbpskn0 = pbpskn * exp(-j*pi/3);
pause
setfig(4);
plot3d1 (pbpskn0, 2, 'Derotated signal phasor + noise.')
pause
setfig(5);
plot3d1 (pbpskn0, 3, 'Derotated signal phasor + noise.')
