function y = deemph(x,fe)

% function y = deemph(x,fe)
% Apply deemphasis to x with a corner frequency of fe, expressed
% as a fraction of the sampling freq fs.

imax = length(x);
alpha = 1 / (1 + 2 * pi * fe);

xa = x * (1 - alpha);
y = zeros(size(x));

for i = 2:imax, y(i)=alpha*y(i-1)+xa(i);end

return;
