function p = amgen(x,ma,phi0)
% function p = amgen(x,ma,phi0)
% Generate AM phasors from an input vector x, with mod index ma and phase phi0.
imax = length(x);
a0 = 1;
if nargin < 3, phi0 = pi / 3; end
xr = real(x);
xpkpk = max(xr) - min(xr);
amscale = 2 * ma / xpkpk;
a = a0 + xr * amscale;
p = a * exp(j * phi0);
