function p = ammod(x,a0,phi0)
% function p = ammod(x,a0,phi0)
% Generate AM phasors from an input vector x.
% The carrier amplitude is a0 and phase is phi0.
if nargin < 3, phi0 = pi / 3; end

a = a0 + real(x);
p = a * exp(j * phi0);
