function p = fmgen(x,mf)
% function p = fmgen(x,mf)
% Generate FM phasors from an input vector x, with mod index mf (as defined
% by 0.5 * (pk-pk phase deviation).
imax = length(x);
a0 = 1;
phi0 = 0;
xi = cumsum(real(x)) - 0.5 * real(x(1));
xpkpk = max(xi) - min(xi);
phscale = 2 * mf / xpkpk;
phi = phi0 + xi * phscale;
p = a0 * exp(j * phi);
