% Plot frequency response of a filter with a half-sine impulse response.
thmax = 60;
th = [-thmax:thmax]' * pi / 10;
h0 = sinc(th);
h1 = 0.25 * pi * sinc(th - pi/2);
h2 = 0.25 * pi * sinc(th + pi/2);

setfig(4)
hold off
axis([-thmax/10 thmax/10 -0.5 2.2])
plot (th/pi, h0+1, '-g')
grid
title('Frequency responses (magnitude) of filters')
xlabel('w T / 2 pi')
hold on
pause
plot (th/pi, h1, '-r'), pause
plot (th/pi, h2, '-b'), pause
plot (th/pi, h1+h2, '-w')
hold off
