function p = pmgen(x,mp)
% function p = pmgen(x,mp)
% Generate PM phasors from an input vector x with mod index mp (as defined
% by 0.5 * (pk-pk phase deviation).
imax = length(x);
a0 = 1;
phi0 = 0;
xr = real(x);
xpkpk = max(xr) - min(xr);
phscale = 2 * mp / xpkpk;
phi = phi0 + xr * phscale;
p = a0 * exp(j * phi);
