function p = pmmod(x,Kp)
% function p = pmmod(x,Kp)
% Generate PM phasors from an input vector x, with a frequency
% gain of Kp radians per unit input.
% eg if Kd=pi, x=1 produces a phase offset of pi radians.

a0 = 1;
phi0 = 0;
phi = phi0 + x * Kp;
p = a0 * exp(j * phi);
