function q = qfunc(x)
% function q = qfunc(x)
% Function to calculate the gaussian error integral of f(u) from x
% to infinity where f(u) = exp(-x^2/2) / sqrt(2 * pi).
% This uses the NGK standard approximation which is accurate to +/- 0.3%
% if x >= 0.
qk = [1.64 0.76];
% qk = [1.63 0.78]; % Values used by Ian Wassell
xsq = x .* x;
q = exp(-0.5 * xsq) ./ (qk(1) * x + sqrt(qk(2) * xsq + 4));

