function hh = xlabel(string,varargin)
%XLABEL X-axis label.
%   XLABEL('text') adds text beside the X-axis on the current axis.
%
%   XLABEL('text','Property1',PropertyValue1,'Property2',PropertyValue2,...)
%   sets the values of the specified properties of the xlabel.
%
%   H = XLABEL(...) returns the handle to the text object used as the label.
%
%   See also YLABEL, ZLABEL, TITLE, TEXT.

%   Copyright (c) 1984-98 by The MathWorks, Inc.
%   $Revision: 5.7 $  $Date: 1997/11/21 23:33:16 $
% Modified by Nick Kingsbury to remove reset to axes' default text sizes
% and ensure visibility even when axes are 'off'.
% Sept 99.

ax = gca;
h = get(ax,'xlabel');

if nargin > 1 & (nargin-1)/2-fix((nargin-1)/2),
  error('Incorrect number of input arguments')
end

%Over-ride text objects default font attributes with
%the Axes' default font attributes.
% set(h, 'FontAngle',  get(ax, 'FontAngle'), ...
%        'FontName',   get(ax, 'FontName'), ...
%        'FontSize',   get(ax, 'FontSize'), ...
%        'FontWeight', get(ax, 'FontWeight'), ...
%        'string',     string,varargin{:});
set(h,'visible','on','string',string,varargin{:});

if nargout > 0
  hh = h;
end
